Subject: Re: PATCH powerpc: Merge asm-ppc*/sections.h

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 18 Sep 2005 11:28:35 +1000

> So yes, I object strongly object if I don't have a way 
> of removing useless PMAC code. The kernel is already very 
> bloated compared with the 2.2 we started with, which was 
> well below 1MB with the minimal setup: serial console, root 
> on NFS, no swap, some locally modules to control the PCI<->VME 
> bridge and what is behind on the VME bus. 

I think we should have the ability to not build some platforms like we
have on ppc64. That would allow you to build a PReP kernel without CHRP
and PMAC code.

Ben.